%global npmname async
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist ""

Summary: Higher-order functions and common patterns for asynchronous code
Name: nodejs-%{npmname}
Version: 0.1.16
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/caolan/async
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Async is a utility module which provides straight-forward, powerful functions
for working with asynchronous JavaScript. Although originally designed for
use with [node.js](http://nodejs.org), it can also be used directly in the
browser.

Async provides around 20 functions that include the usual 'functional'
suspects (map, reduce, filter, forEach…) as well as some common patterns
for asynchronous control flow (parallel, series, waterfall…). All these
functions assume you follow the node.js convention of providing a single
callback as the last argument of your async function.

%prep
rm -rf %{buildroot}
mkdir -p %{buildroot}

%build

%install
# Setup and unpack
mkdir -p %{buildroot}/%{npminstdir}
cd %{buildroot}/%{npminstdir}
tar xvfz %{SOURCE0}
cd package

# Setup the dependancies

# Run the scripts (except test scripts)

# Put everything in it's proper place
mv * .gitmodules ..
cd ..
rm -rf package

# Setup Binaries

%clean
rm -rf %{buildroot}

%files
%defattr(-, nobody, root, -)
%{npminstdir}

%changelog
* Mon Apr 15 2013 Brenton Leanhardt <bleanhar@redhat.com> - 0.1.16-2
- Rebuild for OpenShift Enterprise

* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 0.1.16-1
- Initial build

